# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-pymtp
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
# debuginfo would be empty
%global debug_package %{nil}
%global module pymtp

Name:           python-module-pymtp
Version:        0.0.4
Release:        alt1_6
Summary:        A Pythonic wrapper around libmtp

Group:          Development/Python
License:        GPLv3+
URL:            http://downloads.nick125.com/projects/%{module}
Source0:        http://downloads.nick125.com/projects/%{module}/%{module}-latest.tar.bz2
# Make pymtp work with libmtp >= 1.0.0. Upstream seems inactive.
Patch0:         http://patch-tracker.debian.org/patch/series/dl/pymtp/0.0.4-2/adapt-to-libmtp8.diff

# Depend on the libmtp soname provides of the correct arch
%global libmtp libmtp.so.9
%ifarch x86_64 ppc64 ia64 sparc64 s390x
%global mark64 ()(64bit)
%endif

BuildRequires:  python-devel
Requires:       %{libmtp}%{?mark64}
Source44: import.info

%description
A Pythonic wrapper around libmtp, allowing python applications to communicate
with MTP devices.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
# Examples are documentation, remove executable permission
chmod -x examples/*
# Remove the shebang to silence rpmlint
sed -i '1d' pymtp.py

%build
%{__python} setup.py build


%install
# Install into python_sitearch for the arch-specific dependency
%{__python} setup.py install -O1 --skip-build --install-purelib $RPM_BUILD_ROOT%{python_sitelibdir}


%files
%doc README COPYING examples
%{python_sitelibdir}/PyMTP*
%{python_sitelibdir}/%{module}*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_6
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_5
- initial fc import

